Skip to main content
GET
/
batches
/
{cardEnrichmentBatchId}
/
results
Get the results of a batch card enrichment job
curl --request GET \
  --url https://east.sandbox.spade.com/batches/{cardEnrichmentBatchId}/results \
  --header 'X-Api-Key: <api-key>'
import requests

url = "https://east.sandbox.spade.com/batches/{cardEnrichmentBatchId}/results"

headers = {"X-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};

fetch('https://east.sandbox.spade.com/batches/{cardEnrichmentBatchId}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "transactionInfo": {
        "transferInfo": null,
        "isAccountVerification": false,
        "isPeerToPeer": false,
        "isDigitalWallet": false,
        "display": {
          "name": "<string>",
          "categoryName": "<string>",
          "graphic": "<string>"
        },
        "thirdParties": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "logo": "<string>",
            "website": "<string>"
          }
        ],
        "spendingInfo": {
          "channel": {}
        },
        "atmInfo": {
          "sponsorName": "<string>",
          "ownerName": "<string>"
        },
        "transactionId": "<string>",
        "recurrenceInfo": {
          "intervalDays": 123,
          "nextPaymentExpected": "2023-12-25",
          "recentRecurrences": [
            "<array>"
          ]
        },
        "riskInsights": {
          "irregularWebPresenceDetected": true,
          "negativeOnlineSentiment": true,
          "highRiskEntity": true,
          "riskyIndustry": true
        }
      },
      "enrichmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "counterparty": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "legalName": "<string>",
          "industry": [
            {
              "id": "<string>",
              "name": "<string>",
              "icon": "<string>"
            }
          ],
          "matchScore": 123,
          "location": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "address": "<string>",
              "addressLine1": "<string>",
              "addressLine2": "<string>",
              "city": "<string>",
              "region": "<string>",
              "country": "<string>",
              "postalCode": "<string>",
              "latitude": 123,
              "longitude": 123,
              "phoneNumber": "<string>",
              "matchScore": 123
            }
          ],
          "logo": "<string>",
          "phoneNumber": "<string>",
          "website": "<string>",
          "possibleCounterpartyAlternate": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "similarity": 123
          }
        }
      ],
      "mobileAppInfo": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "url": "<string>",
        "logo": "<string>",
        "developerName": "<string>",
        "developerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "hasGamblingOrRewards": true,
        "hasSimulatedGambling": true
      },
      "customAttributes": {},
      "actions": [
        {
          "id": "<string>",
          "type": "merchant_trigger",
          "action": {},
          "scope": "account",
          "source": "counterparty",
          "categoryId": "<string>",
          "categoryName": "<string>"
        }
      ],
      "statusCode": 123,
      "errors": {}
    }
  ]
}
{
"batchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"invalidField": [
"<string>"
]
}
{
"details": "<string>"
}
{
"details": "<string>"
}
{
"details": "<string>"
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

cardEnrichmentBatchId
string<uuid>
required

ID of the batch card enrichment job

Response

Successful operation

results
object[]